# Network Edge to Google Cloud Platform Connect to Google Cloud Platform (GCP) from a Network Edge virtual device. note For instructions on connecting from a Fabric port, a Fabric Cloud Router, or using a service token, see [Portal - Connecting to Google Cloud Platform](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/gcp/fabric-gcp-googleqc.md). ## Prerequisites * Portal * API Before creating a connection to Google Cloud Platform from a Network Edge virtual device, you must have: * An Equinix Customer Portal account, with the `Fabric Connections Manager` role. - A [Network Edge](https://docs.equinix.com/network-edge.md) virtual device. - A Google Cloud-issued pairing key or pairing keys, depending on the redundancy of your connection. 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2. Determine Your A-side Information. You need a provisioned Network Edge Virtual Device, Redundant Devices, or Cluster with a registered license. Send a `GET` request to the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/network-edgev1.md#tag/Virtual-Device/operation/getVirtualDevices) endpoint or the [`/ne/v1/devices/{id}`](https://docs.equinix.com/api-catalog/network-edgev1.md#tag/Virtual-Device/operation/getVirtualDeviceByUuid) endpoint. You may choose any available interface on the device for your connection. However, Equinix will select an interface if you do not specify one. 3. Identify the Google Cloud Partner Interconnect service profile information. More information on which service profile you should choose is on the [Overview](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/gcp/gcp-interconnect-overview.md#redundancy-and-service-profiles) page. * Zone 1 - `bd4570e2-d792-4a00-87f5-3bde040cdcd7` * Zone 2 - `b97dacca-abe6-4e8c-8be1-fcdd1be1defe` 4. Choose the Z-side metro location. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Metros/operation/getMetros) API request to find all metros where Equinix Fabric is available and determine destination location. 5. Validate your Authorization Key. Use the [Validate Connection Authorization Key](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/validateConnections) API request to verify that your pairing key can be used to create a connection to the selected service profile in the given metro. ## Create a Connection to GCP * Portal * API 1. Sign in to the [Customer Portal](https://portal.equinix.com/) > *Fabric Dashboard*. 2. Use the Context Switcher and select the project under which you want to create the connection. For more information on projects, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 3. From the *Connections* menu, select **Create Connection**. 4. In the *A Service Provider* card, click **Connect to a Service Provider**. ![](https://docs.equinix.com/assets/images/service-provider-card-51d938de0bcc1df9912ba766114cb979.png) 5. On the *Google Cloud Platform* card, click **Select Service**. 6. Choose the service profile you are creating a connection to. Click **Create Connection (Network Edge Device)**. ![](https://docs.equinix.com/assets/images/neGoogleSelectServiceProfile-34f04bca25db0fb23129b86e2bb1a6b9.png) 7. Review the high-level process for connecting to Google Cloud via Partner Interconnect, then click **Create a Connection**. In the *Origin* section: 1. Click **Virtual Device**. If the *Virtual Device* option is disabled, there are no virtual devices available in the selected project. Choose a different project, that has virtual devices assigned to it, or [create a new virtual device](https://docs.equinix.com/network-edge/create-devices/create-ne-virtual-devices.md) in this project. 2. Select a Metro. 3. Choose virtual device type, select connection type, then select a virtual device instance. In the *Destination* section, select location where you want to terminate your connection, then click **Next**. ![](https://docs.equinix.com/assets/images/fabricGoogleClassicConnectSelectLocations-f6d2e13e581e096305e592ee5c0d2752.png) On the *Connection Details* page: 1. Enter connection name. 2. Enter the Google Pairing Key. note You must use the Pairing Key that corresponds to the selected zone, which is identified by `/1` or `/2` at the end of the Pairing Key value. 3. Select network interface on your virtual device. 4. Enter purchase order number. 5. Select connection speed, then click **Next**. ![](https://docs.equinix.com/assets/images/fabricGoogleClassicConnectConnectionDetails-ceabc46ae9ee4749edd6689e3e10bf3e.png) Review the *Connection Summary*, *Pricing Overview*, and *Notifications* sections, then click **Submit Order**. For redundant connections, repeat the steps to create the second connection. To create a connection from your Network Edge device to Google Cloud Partner Interconnect, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/createConnection) endpoint. Specify your connection's configuration details in the body of the request. Define your Network Edge device in the `aSide` object including: * `accessPoint.type` as `VD` * `virtualDevice.type` as `EDGE` * `virtualDevice.uuid` as your device's UUID Provide your GCP details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Set `authenticationKey` as your Google Cloud-issued pairing key. Ensure that: * If you are creating a connection where the `redundancy` is `PRIMARY` that the pairing key ends in `/1` and you are using the Google Cloud Partner Interconnect Zone 1 service profile UUID `bd4570e2-d792-4a00-87f5-3bde040cdcd7`. * If you are creating a connection where the `redundancy` is `SECONDARY` that the pairing key ends in `/2` and you are using the Google Cloud Partner Interconnect Zone 2 service profile UUID `b97dacca-abe6-4e8c-8be1-fcdd1be1defe`. * If you are creating redundant connections, send two API requests, one for each redundancy priority. Specify any other connection configuration details, in the body of the request. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/createConnection). Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "sellerRegion": "", "authenticationKey": "" } }, "project": { "projectId": "" }, "order": { "purchaseOrderNumber": "po_number" }, "notifications": [{ "type": "ALL", "emails": [ "" ] }] }' ``` ## Monitoring the Connection Status * Portal * API Once you have created the connection, it appears in your [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md) where you can monitor its status. Send a `GET` request to the [`fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/getConnectionByUuid) endpoint to monitor connection status. | `equinixStatus` parameter values | `providerStatus` attribute values | **Google Status** | **Description** | | -------------------------------- | --------------------------------- | -------------------------------------------------------------------------- | --------------------------------------------------- | | `PROVISIONING` | `PROVISIONING` | | Connection request has not been sent to Google yet. | | `PROVISIONED` | `PENDING_APPROVAL` | Waiting for service provider. | Connection waiting for acceptance. | | `PROVISIONED` | `PROVISIONING` | Activation needed -> Border Gateway Protocol (BGP) configuration required. | Connection establishment in progress. | | `PROVISIONED` | `PROVISIONED` | Pending -> availability | Connection accepted by client. | ## Activating the Connection in the Google Cloud Portal Once the provisioning job has been completed on the Equinix side, activate your connection in the Google Cloud Portal. 1. In the *Interconnect* section of the Google Cloud Portal, click *Refresh* at the top of your browser page. The *Status* displays `Activation needed`. 2. Click **Activate**, then click **Accept**. The *Status* updates to `BGP configuration needed`. 3. Click **Configure BGP**. 4. In the *Peer ASN* field, enter the ASN number for your on-premise router. Click **Save and continue**. 5. Review the [Configuring on-premises routers](https://cloud.google.com/network-connectivity/docs/interconnect/how-to/partner/configuring-onprem-routers) page to complete any steps needed to connect your router to your Google Cloud environment via Google Cloud Interconnect.